Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Bump up version numbers.

TODO 1: double check that pre-5.6.1 CPAN.pm:s
don't try to download 5.8.0 because of the
version numbers.  Mainly this means using _00
in the core version numbers.

TODO 2: the "use 5.005_64" in many modules
needs to be changed to, say, "use 5.6.1".

p4raw-id: //depot/perl@12040
  • Loading branch information...
commit 88d01e8dd0be693cf54a3bafc9974fa70eda2ddd 1 parent a8e8ab1
jhi jhi authored
2  ext/B/B/Assembler.pm
@@ -14,7 +14,7 @@ require ByteLoader; # we just need its $VERSIOM
14 14
15 15 @ISA = qw(Exporter);
16 16 @EXPORT_OK = qw(assemble_fh newasm endasm assemble);
17   -$VERSION = 0.02;
  17 +$VERSION = 0.03;
18 18
19 19 use strict;
20 20 my %opnumber;
2  ext/Data/Dumper/Dumper.pm
@@ -9,7 +9,7 @@
9 9
10 10 package Data::Dumper;
11 11
12   -$VERSION = '2.102';
  12 +$VERSION = '2.103';
13 13
14 14 #$| = 1;
15 15
2  lib/AutoLoader.pm
@@ -16,7 +16,7 @@ BEGIN {
16 16 $is_epoc = $^O eq 'epoc';
17 17 $is_vms = $^O eq 'VMS';
18 18 $is_macos = $^O eq 'MacOS';
19   - $VERSION = '5.58';
  19 + $VERSION = '5.59';
20 20 }
21 21
22 22 AUTOLOAD {
2  lib/AutoSplit.pm
@@ -11,7 +11,7 @@ use strict;
11 11 our($VERSION, @ISA, @EXPORT, @EXPORT_OK, $Verbose, $Keep, $Maxlen,
12 12 $CheckForAutoloader, $CheckModTime);
13 13
14   -$VERSION = "1.0306";
  14 +$VERSION = "1.0307";
15 15 @ISA = qw(Exporter);
16 16 @EXPORT = qw(&autosplit &autosplit_lib_modules);
17 17 @EXPORT_OK = qw($Verbose $Keep $Maxlen $CheckForAutoloader $CheckModTime);
2  lib/CPAN.pm
... ... @@ -1,6 +1,6 @@
1 1 # -*- Mode: cperl; coding: utf-8; cperl-indent-level: 4 -*-
2 2 package CPAN;
3   -$VERSION = '1.59_54';
  3 +$VERSION = '1.59_55';
4 4 # $Id: CPAN.pm,v 1.385 2001/02/09 21:37:57 k Exp $
5 5
6 6 # only used during development:
2  lib/ExtUtils/Embed.pm
@@ -18,7 +18,7 @@ use vars qw(@ISA @EXPORT $VERSION
18 18 );
19 19 use strict;
20 20
21   -$VERSION = sprintf("%d.%02d", q$Revision: 1.2505_00 $ =~ /(\d+)\.(\d+)/);
  21 +$VERSION = sprintf("%d.%02d", q$Revision: 1.2506_00 $ =~ /(\d+)\.(\d+)/);
22 22
23 23 @ISA = qw(Exporter);
24 24 @EXPORT = qw(&xsinit &ldopts
2  lib/ExtUtils/Install.pm
@@ -2,7 +2,7 @@ package ExtUtils::Install;
2 2
3 3 use 5.005_64;
4 4 our(@ISA, @EXPORT, $VERSION);
5   -$VERSION = substr q$Revision: 1.28 $, 10;
  5 +$VERSION = substr q$Revision: 1.29 $, 10;
6 6 # $Date: 1998/01/25 07:08:24 $
7 7
8 8 use Exporter;
2  lib/ExtUtils/Installed.pm
@@ -8,7 +8,7 @@ use ExtUtils::MakeMaker;
8 8 use Config;
9 9 use File::Find;
10 10 use File::Basename;
11   -our $VERSION = '0.03';
  11 +our $VERSION = '0.04';
12 12
13 13 my $DOSISH = ($^O =~ /^(MSWin\d\d|os2|dos|mint)$/);
14 14
2  lib/ExtUtils/Manifest.pm
@@ -12,7 +12,7 @@ our ($VERSION,@ISA,@EXPORT_OK,
12 12 $Is_MacOS,$Is_VMS,
13 13 $Debug,$Verbose,$Quiet,$MANIFEST,$found,$DEFAULT_MSKIP);
14 14
15   -$VERSION = substr(q$Revision: 1.34 $, 10);
  15 +$VERSION = substr(q$Revision: 1.35 $, 10);
16 16 @ISA=('Exporter');
17 17 @EXPORT_OK = ('mkmanifest', 'manicheck', 'fullcheck', 'filecheck',
18 18 'skipcheck', 'maniread', 'manicopy');
2  lib/File/Basename.pm
@@ -141,7 +141,7 @@ our(@ISA, @EXPORT, $VERSION, $Fileparse_fstype, $Fileparse_igncase);
141 141 require Exporter;
142 142 @ISA = qw(Exporter);
143 143 @EXPORT = qw(fileparse fileparse_set_fstype basename dirname);
144   -$VERSION = "2.7";
  144 +$VERSION = "2.71";
145 145
146 146
147 147 # fileparse_set_fstype() - specify OS-based rules used in future
2  lib/File/Copy.pm
@@ -24,7 +24,7 @@ sub mv;
24 24 # package has not yet been updated to work with Perl 5.004, and so it
25 25 # would be a Bad Thing for the CPAN module to grab it and replace this
26 26 # module. Therefore, we set this module's version higher than 2.0.
27   -$VERSION = '2.04';
  27 +$VERSION = '2.05';
28 28
29 29 require Exporter;
30 30 @ISA = qw(Exporter);
2  lib/File/Find.pm
@@ -2,7 +2,7 @@ package File::Find;
2 2 use strict;
3 3 use warnings;
4 4 use 5.6.0;
5   -our $VERSION = '1.01';
  5 +our $VERSION = '1.02';
6 6 require Exporter;
7 7 require Cwd;
8 8
2  lib/File/Path.pm
@@ -98,7 +98,7 @@ use Exporter ();
98 98 use strict;
99 99 use warnings;
100 100
101   -our $VERSION = "1.0404";
  101 +our $VERSION = "1.0405";
102 102 our @ISA = qw( Exporter );
103 103 our @EXPORT = qw( mkpath rmtree );
104 104
2  lib/File/Spec.pm
@@ -3,7 +3,7 @@ package File::Spec;
3 3 use strict;
4 4 our(@ISA, $VERSION);
5 5
6   -$VERSION = 0.82 ;
  6 +$VERSION = 0.83 ;
7 7
8 8 my %module = (MacOS => 'Mac',
9 9 MSWin32 => 'Win32',
2  lib/File/Spec/Functions.pm
@@ -5,7 +5,7 @@ use strict;
5 5
6 6 our (@ISA,@EXPORT,@EXPORT_OK,%EXPORT_TAGS,$VERSION);
7 7
8   -$VERSION = '1.1';
  8 +$VERSION = '1.2';
9 9
10 10 require Exporter;
11 11
2  lib/File/Spec/Unix.pm
@@ -3,7 +3,7 @@ package File::Spec::Unix;
3 3 use strict;
4 4 our($VERSION);
5 5
6   -$VERSION = '1.2';
  6 +$VERSION = '1.3';
7 7
8 8 use Cwd;
9 9
2  lib/File/Spec/VMS.pm
@@ -4,7 +4,7 @@ use strict;
4 4 use vars qw(@ISA $VERSION);
5 5 require File::Spec::Unix;
6 6
7   -$VERSION = '1.1';
  7 +$VERSION = '1.2';
8 8
9 9 @ISA = qw(File::Spec::Unix);
10 10
2  lib/File/Spec/Win32.pm
@@ -5,7 +5,7 @@ use Cwd;
5 5 use vars qw(@ISA $VERSION);
6 6 require File::Spec::Unix;
7 7
8   -$VERSION = '1.2';
  8 +$VERSION = '1.3';
9 9
10 10 @ISA = qw(File::Spec::Unix);
11 11
2  lib/FindBin.pm
@@ -82,7 +82,7 @@ use File::Spec;
82 82 %EXPORT_TAGS = (ALL => [qw($Bin $Script $RealBin $RealScript $Dir $RealDir)]);
83 83 @ISA = qw(Exporter);
84 84
85   -$VERSION = "1.42";
  85 +$VERSION = "1.43";
86 86
87 87 BEGIN
88 88 {
2  lib/Pod/Checker.pm
@@ -10,7 +10,7 @@
10 10 package Pod::Checker;
11 11
12 12 use vars qw($VERSION);
13   -$VERSION = 1.2; ## Current version of this package
  13 +$VERSION = 1.3; ## Current version of this package
14 14 require 5.005; ## requires this Perl version or later
15 15
16 16 use Pod::ParseUtils; ## for hyperlinks and lists
2  lib/Pod/Find.pm
@@ -13,7 +13,7 @@
13 13 package Pod::Find;
14 14
15 15 use vars qw($VERSION);
16   -$VERSION = 0.21; ## Current version of this package
  16 +$VERSION = 0.22; ## Current version of this package
17 17 require 5.005; ## requires this Perl version or later
18 18 use Carp;
19 19
2  lib/SelfLoader.pm
@@ -3,7 +3,7 @@ package SelfLoader;
3 3 require Exporter;
4 4 @ISA = qw(Exporter);
5 5 @EXPORT = qw(AUTOLOAD);
6   -$VERSION = "1.0902";
  6 +$VERSION = "1.0903";
7 7 sub Version {$VERSION}
8 8 $DEBUG = 0;
9 9
2  lib/Shell.pm
@@ -4,7 +4,7 @@ use strict;
4 4 use warnings;
5 5 our($capture_stderr, $VERSION, $AUTOLOAD);
6 6
7   -$VERSION = '0.3';
  7 +$VERSION = '0.4';
8 8
9 9 sub new { bless \$VERSION, shift } # Nothing better to bless
10 10 sub DESTROY { }
2  lib/Tie/Handle.pm
... ... @@ -1,7 +1,7 @@
1 1 package Tie::Handle;
2 2
3 3 use 5.005_64;
4   -our $VERSION = '4.0';
  4 +our $VERSION = '4.1';
5 5
6 6 =head1 NAME
7 7
2  lib/blib.pm
@@ -39,7 +39,7 @@ Nick Ing-Simmons nik@tiuk.ti.com
39 39 use Cwd;
40 40
41 41 use vars qw($VERSION $Verbose);
42   -$VERSION = '1.00';
  42 +$VERSION = '1.01';
43 43 $Verbose = 0;
44 44
45 45 sub import
2  lib/diagnostics.pm
@@ -171,7 +171,7 @@ use strict;
171 171 use 5.6.0;
172 172 use Carp;
173 173
174   -our $VERSION = 1.0;
  174 +our $VERSION = 1.1;
175 175 our $DEBUG;
176 176 our $VERBOSE;
177 177 our $PRETTY;
2  vms/ext/DCLsym/DCLsym.pm
@@ -7,7 +7,7 @@ use strict;
7 7
8 8 # Package globals
9 9 @ISA = ( 'DynaLoader' );
10   -$VERSION = '1.01';
  10 +$VERSION = '1.02';
11 11 my(%Locsyms) = ( ':ID' => 'LOCAL' );
12 12 my(%Gblsyms) = ( ':ID' => 'GLOBAL');
13 13 my $DoCache = 1;
2  vms/ext/Stdio/Stdio.pm
@@ -13,7 +13,7 @@ use Carp '&croak';
13 13 use DynaLoader ();
14 14 use Exporter ();
15 15
16   -$VERSION = '2.2';
  16 +$VERSION = '2.3';
17 17 @ISA = qw( Exporter DynaLoader IO::File );
18 18 @EXPORT = qw( &O_APPEND &O_CREAT &O_EXCL &O_NDELAY &O_NOWAIT
19 19 &O_RDONLY &O_RDWR &O_TRUNC &O_WRONLY );

0 comments on commit 88d01e8

Please sign in to comment.
Something went wrong with that request. Please try again.